Allow filtering for system-shared versions in version custom fields in the global issues view

2016-06-16 14:17 - Holger Just

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version: 3.3.0   

Description

Given an issue custom field of type Version, it should be possible to filter issues by this field on the global issues view. The behavior

should be compatible with the basic version filter.

Right now, on the global issue screen, the list of available values for these custom fields is always empty.

The attached patch adds the functionality to be able to filter system-shared versions in these custom fields, given the custom field

has the following characteristics:

is is defined as a filter,

it is enabled on all projects,

there are system-shared version available

The patch was developed by Planio. It should apply cleanly against the current trunk.

Associated revisions

Revision 15536 - 2016-06-18 07:59 - Jean-Philippe Lang

Allow global versions to be shown outside of a project for version custom fields (#23083).

Patch by Holger Just.

Revision 15541 - 2016-06-18 08:45 - Jean-Philippe Lang

Test broken by r15536 (#23083).

Revision 15560 - 2016-06-18 12:18 - Jean-Philippe Lang

Merged r15536 and r15541 (#23083).

History

#1 - 2016-06-18 03:44 - Go MAEDA

- File 23083-screenshot.png added

- Target version set to 3.3.0

Thanks for the patch. It works fine for me.

 

Holger Just wrote:

Given an issue custom field of type Version, it should be possible to filter issues by this field on the global issues view. The behavior should be

compatible with the basic version filter.

 Indeed. Setting target version to 3.3.0.

#2 - 2016-06-18 04:00 - Go MAEDA

- Subject changed from Allow filtering for system-shared versions in version custo fields in the global issues view to Allow filtering for system-shared
versions in version custom fields in the global issues view

- Category set to Issues filter

#3 - 2016-06-18 07:59 - Jean-Philippe Lang

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#4 - 2016-06-18 12:18 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

0001-Allow-global-versions-to-be-shown-outside-of-a-proje.patch 3.01 KB 2016-06-16 Holger Just

23083-screenshot.png 7.95 KB 2016-06-18 Go MAEDA
